package fr.iutfbleau.papillon;

import java.util.ArrayList;
import javax.swing.*;

/**
 * La classe <code>Crud</code> regroupe les trois boutons principaux
 * de gestion des rappels dans l’application <b>Papillon</b> :
 * <ul>
 *   <li><b>Ajouter</b> — pour créer un nouveau rappel,</li>
 *   <li><b>Supprimer</b> — pour supprimer un ou plusieurs rappels,</li>
 *   <li><b>Modifier</b> — pour éditer un rappel existant.</li>
 * </ul>
 * <p>
 * Cette classe centralise leur création et leur ajout à l’interface.
 * </p>
 *
 * @version 1.0
 * @author Seri-khane YOLOU, Aylane SEHL, Jenson VAL
 */
public class Crud extends ArrayList<JButton>{

    /** Bouton d’ajout de rappel. */
    private BtnAjouter btnAjt;

    /** Bouton de suppression de rappel. */
    private BtnSupprimer btnSpr;

    /** Bouton de modification de rappel. */
    private BtnModifier btnMdf;

    /**
     * Constructeur de la barre d’actions CRUD.
     *
     * @param main la fenêtre principale de l’application <b>Papillon</b>
     */
    public Crud(Main main){
        
btnAjt = new BtnAjouter(main);
btnSpr = new BtnSupprimer(main);
btnMdf = new BtnModifier(main);
add(btnAjt);
add(btnSpr);
add(btnMdf);

    }

}